<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>GPS Map</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="refresh" content="5">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
</head>
<body>
    <h1>GPS Map</h1>
    {{ map_html|safe }}
</body>
</html>

